aboutsummaryrefslogtreecommitdiff
path: root/contrib/kiss-depends
diff options
context:
space:
mode:
Diffstat (limited to 'contrib/kiss-depends')
-rwxr-xr-xcontrib/kiss-depends13
1 files changed, 13 insertions, 0 deletions
diff --git a/contrib/kiss-depends b/contrib/kiss-depends
new file mode 100755
index 0000000..22a1d4e
--- /dev/null
+++ b/contrib/kiss-depends
@@ -0,0 +1,13 @@
+#!/bin/sh -ef
+#
+# kiss-depends - Display a package's dependencies.
+
+db_dir=$KISS_ROOT/var/db/kiss/installed/${1-null}
+
+# Check if package is installed and exit if it is not.
+[ -d "$db_dir" ] || {
+ printf '%s\n' "error: '$1' not installed." >&2
+ exit 1
+}
+
+[ -f "$db_dir/depends" ] && cat "$db_dir/depends"